/* ResultPage.css */

.container {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.search-bar {
  display: flex;
  align-items: center;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

input[type="text"] {
  padding: 0.5rem;
  font-size: 1rem;
  border: 1px solid #ccc;
  border-radius: 20px;
  margin-right: 0.5rem;
  width: 70vw; /* Adjust width based on viewport width */
  max-width: 400px; /* Set a maximum width */
  min-width: 200px; /* Set a minimum width */
}

.top-image {
  width: 100%;
  height: 150px; ; 
  position: absolute;
  top: 0; 
  left: 0; 
  z-index: -1; 
}

.input-container {
  margin-top: 100px; 
  margin-left: 20px;
  position: absolute;
}

button {
  background-color: #3262e6; 
  border: none;
  color: white; 
  position: relative;
  padding: 10px 20px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  font-size: 16px;
  margin: 4px 2px;
  cursor: pointer;
  border-radius: 20px;
  top: 95px;
  left: 420px;
}

ul {
  list-style-type: none;
  padding: 0;
  display: flex;
  flex-wrap: wrap;
  justify-content: space-around;
  margin-top: 160px;
}

li {
  display: flex;
  flex-direction: column;
  width:  320px;
  border: 1px solid #ccc;
  border-radius: 5px;
  overflow: hidden;
  box-shadow: 0 2px 5px rgba(0, 0, 0, 0.15);
  margin: 10px;
}

li img {
  width: 100%;
  height: auto;
}

li div {
  padding: 15px;
}

li div h2 {
  font-size: 15px; 
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}

p {
  font-size: 14px;
  color: #666;
}

.noresult {
  margin-top: 400px;
  font-size: 30px;
  color: red;
}
.select-container {
  display: flex;
  align-items: center;
  position: absolute; 
  top: 50%;
  left: calc(50% + 25vw);  
  transform: translate(-50%, -50%);
}

/* Styles for the select element */
select {
  padding: 10px; /* Adjust padding as needed */
  font-size: 16px; /* Adjust font size as needed */
  border: 1px solid #ccc; /* Border color */
  border-radius: 5px; /* Border radius */
  background-color: #fff; /* Background color */
  color: #333; /* Text color */
  appearance: none; /* Remove default arrow */
  cursor: pointer; /* Change cursor to pointer on hover */
  width: 200px; /* Adjust width as needed */
}

/* Style for the select arrow */
select::after {
  content: '\25BC'; /* Unicode for down arrow */
  position: absolute;
  top: 50%;
  right: 10px;
  transform: translateY(-50%);
  pointer-events: none; /* Prevent interaction with arrow */
}

/* Style for the options */
select option {
  background-color: #fff; /* Background color */
  color: #333; /* Text color */
}

/* Style for the select when hovered */
select:hover {
  border-color: #666; /* Change border color on hover */
}

/* Style for the select when focused */
select:focus {
  outline: none; /* Remove default focus outline */
  border-color: #666; /* Change border color when focused */
}

button {
  background-color: #3262e6; /* Green */
  border: none;
  color: white; 
  padding: 10px 20px;
  text-align: center;
  text-decoration: none;
  font-size: 16px;
  margin: 4px 2px;
  cursor: pointer;
  left:-110%;
  top:10%;
}